body {

    font-family: Roboto, sans-serif;
    /*background-color: #e9ebee;*/
    background-image: url(https://www.eldcomunicacion.com.mx/webpimg/contacto.webp);
    background-size: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 90px 0;
    margin: 0;
    color: red;
}

.container {
    /**/background: rgba(0,0,0,0.7);
    padding: 30px;
    border-radius: 30px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    width: 90%;
    max-width: 600px;
}

h1, h2 {
    /**/text-align: center;
    color: #FFFFFF;
    margin-bottom: 0px;
}

h1 { font-size: 1.2em; }
h2 { font-size: 1.2em; margin-bottom: 25px;}

.container p {
    font-size: 0.875em;
    text-align: justify;
    color: #FFFFFF;
    /*text-decoration: overline;*/
    font-style: italic;
}

.form-group {
    margin-bottom: 18px;
}


label {
    font-size: 1em;
    display: block;
    margin-bottom: 6px;
    /*font-weight: 600;*/
    color: #FFFFFF;
    text-align: justify;
}

input[type="text"],
input[type="tel"],
input[type="email"],
input[type="date"],
textarea,

select {
    width: 100%;
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 16px;
    box-sizing: border-box;
    font-family: Roboto, sans-serif;
    font-size: 0.875em;
    font-weight: 600;
    transition: all 0.3s ease;
}

/**/
input, textarea {
    color: #FFFFFF;
    background: rgba(0,0,0,0.1);
}


/* Estilo para enfocar y para campos inválidos #dc3545*/
input:focus, textarea:focus, select:focus {
    border-color: #007bff;
    outline: none;
    box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.25);
}

/* Resaltar campos inválidos que tienen el atributo 'required' (visible tras interacción) #dc3545*/
input:required:invalid:not(:focus):not(:placeholder-shown),
select:required:invalid:not(:focus) {
    border-color: #FF0007; /* Rojo para error */
    box-shadow: 0 0 0 3px rgba(220, 53, 69, 0.25);
}

/* Estilo para el mensaje de error personalizado del correo #dc3545 */
.error-message {
    color: #FF0007;
    font-size: 0.9em;
    margin-top: 5px;
    display: block;
}

/* Estilos para Checkboxes y Radio Buttons */
.checkbox-group, .radio-group {
    display: flex;
    align-items: flex-start;
    margin-bottom: 15px;
    font-size: 1em;
}

.checkbox-group input[type="checkbox"],
.radio-group input[type="radio"] {
    margin-right: 10px;
    margin-top: 4px;
    width: auto; /* Anula el ancho 100% de los inputs */
}

.checkbox-group label, .radio-group label {
    font-weight: normal;
    display: inline;
    margin-right: 20px; /* Espacio entre las opciones de radio */
}

.checkbox-group a { 
    color: #007bff;
    text-decoration: none;
}

.despegable a {
    color: #FFFFFF;
    font-size: 1em;
    text-decoration: none;
    text-align: left;
}


.despegable p {
    color: #FFFFFF;
    font-size: 1em;
    text-decoration: none;
    text-align: left;
}


button[type="submit"] { /* #FF0007 */
    font-family: Roboto, sans-serif;
    font-size: 1em;
    background-color: #666666;
    color: #FFFFFF;
    padding: 12px 20px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-weight: bold;
    width: 100%;
    margin-top: 20px;
    transition: background-color 0.3s;
}

button[type="submit"]:hover { /* #218838 */
    background-color: #000000;
}

footer {
    justify-content: center;
    width: 90%;
}

footer a {
    font-family: Roboto, sans-serif;
    font-size: 0.75em;
    color: #FFFFFF;
    justify-content: center;
}

.contenedorS .copy {
    color: #FFFFFF;
    font-size: 0.75em;
}


@media (min-width:1032px) {
    .sociales {
        width: 90%;
    }

@media (min-width:1366px) {
    .sociales {
        width: auto;
    }

    footer .contenedorS {
        justify-content: space-between;
    }
}


